### Method

# Shumate PathLayer add_node

#### Declaration [src]

    void
    shumate_path_layer_add_node (
      ShumatePathLayer* self,
      ShumateLocation* location
    )

#### Description [src]

Adds a `ShumateLocation` object to the layer. The node is prepended to the list.

#### Parameters

`location`

  Type: `ShumateLocation`

  A `ShumateLocation`.

  The data is owned by the caller of the method.